# List all datasets

## Lists all datasets.

<mark style="color:blue;">`GET`</mark> `https://api.autogon.ai/api/v1/engine/dataset`

The API responds with a list of datasets available for a given user

#### Headers

| Name                                           | Type   | Description      |
| ---------------------------------------------- | ------ | ---------------- |
| Content-Type<mark style="color:red;">\*</mark> | String | application/json |
| X-AUG-KEY<mark style="color:red;">\*</mark>    | String | User API-KEY     |

{% tabs %}
{% tab title="200: OK List of User Datasets (Paginated)" %}

```json
{
    "count": 3,
    "next": "http://api.autogon.ai/api/v1/engine/datasets/?page=2",
    "previous": null,
    "results": [
        {
            "id": 001,
            "user": 001,
            "dataset_name": "Healthcare test data",
            "cover_image": null,
            "dataset_description": "This a test dataset for healtcare",
            "dataset_type": "csv",
            "dataset_size": null,
            "dataset_url": "https://storage.autogon.ai/a24444b0-e193-4b94-ad12-0deda85003a4.csv",
            "slug": "healthcare-test-data-967906",
            "isDeleted": false,
            "is_public": false,
            "updated_at": "2023-11-20T15:37:08.656672Z",
            "created_at": "2023-11-20T15:37:08.656713Z"
        },
        {
            "id": 002,
            "user": 002,
            "dataset_name": "Test Dataset 2",
            "cover_image": null,
            "dataset_description": "Each column provides specific information about the patient, their admission, and the healthcare services provided, making this dataset suitable for various data analysis and modeling tasks in the healthcare domain.",
            "dataset_type": "csv",
            "dataset_size": null,
            "dataset_url": "https://storage.autogon.ai/1e11113c-db22-4e59-b710-ba17c8d7e803.csv",
            "slug": "healthcare-590545",
            "isDeleted": false,
            "is_public": false,
            "updated_at": "2023-11-20T07:51:58.358666Z",
            "created_at": "2023-11-20T07:51:58.358707Z"
        },
        {
            "id": 003,
            "user": 003,
            "dataset_name": "Test Dataset 3",
            "cover_image": null,
            "dataset_description": "Test Description 3",
            "dataset_type": "csv",
            "dataset_size": null,
            "dataset_url": "https://cloud-autogonai.s3.amazonaws.com/dcc22229-bddc-4a36-a165-2701e5a53ea7.csv",
            "slug": "test-dataset-3-400777",
            "isDeleted": false,
            "is_public": false,
            "updated_at": "2023-11-17T11:09:08.336594Z",
            "created_at": "2023-10-20T11:23:08.879400Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/other-apis/dataset/list-all-datasets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
